Subject: Re: [MMUSIC] [Sip-implementors] media line (m line) is mandatory in SDP?

From: "Schwarz Albrecht" <[email-masked]>
Date: Wed, 22 Apr 2009 11:07:35 +0200

Independent of the syntax discussion ("allows present ABNF grammar an omitted "m=" line"),
there's a semantic mentioned in revised SDP Offer/Answer.
See § 3.2 in http://tools.ietf.org/html/draft-ietf-mmusic-sdp-media-capabilities-07

...

   o  A new attribute ("a=lcfg") specifies latent media stream
      configurations when no corresponding media line ("m=") is offered.
      An example is the offer of a latent configuration for video even
      though no video is currently offered.  If both parties indicate
      support for one or more latent configurations, the corresponding
      media stream(s) may be added via a new offer/answer exchange.

There seems to be thus use cases behind initially omitted "m=" lines.
-Albrecht

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On 
> Behalf Of Frank Shearar
> Sent: Mittwoch, 22. April 2009 10:00
> To: sip fourm
> Subject: Re: [Sip-implementors] media line (m line) is 
> mandatory in SDP?
> 
> Ivar Lumi wrote:
> > Hi,
> >
> > According RFC 4566.
> >
> > media-descriptions = *( media-field information-field 
> > *connection-field bandwidth-fields key-field attribute-fields )
> >
> > And if remember right in RFC text too: There may be zero 
> media lines.
> > With 0 lines just session created and new offer can add 
> stream to it.
> >   
> Bearing in mind that RFC 4566 obsoletes RFC 2327, RFC 2327 
> still says this in its ABNF:
> 
>    media-descriptions =  *( media-field
>                          information-field
>                          *(connection-field)
>                          bandwidth-fields
>                          key-field
>                          attribute-fields )
> 
> (just like RFC 4566's, in other words).
> 
> Friend friend's snippet covers the first field of a media 
> description, not the media description in its entirety.
> 
> In other words, this is an illegal media-field because it has 
> no media:
> 
>   m= 0 RTP/AVP 0
> 
> frank
> >
> > friend friend wrote:
> >   
> >> Hi, 
> >>   Thanks for your response.
> >>  
> >> but RFC 2327 Grammar says like
> >>  
> >>    media-field =    "m=" media space port ["/" integer]
> >>                          space proto 1*(space fmt) CRLF
> >>
> >>
> >>    media =           1*(alpha-numeric)
> >>                          ;typically "audio", "video", "application"
> >>                          ;or "data"
> >>
> >>  
> >> Which means, one or more m line is mandatory rite.
> >>  
> >> please correct me, if i am wrong.
> >>  
> >> Regards,
> >> vijay
> >>  
> >>  
> >>  
> >>
> >>
> >> --- On Tue, 21/4/09, karthik karthik 
> <[email-masked]> wrote:
> >>
> >>
> >> From: karthik karthik <[email-masked]>
> >> Subject: Re: [Sip-implementors] media line (m line) is 
> mandatory in SDP?
> >> To: [email-masked]
> >> Cc: "sip fourm" <[email-masked]>
> >> Date: Tuesday, 21 April, 2009, 7:36 PM
> >>
> >>
> >> Hi,
> >> Hope this thread has more info about this topic 
> >> 
> https://lists.cs.columbia.edu/pipermail/sip-implementors/2008-October
> >> /020798.html
> >>
> >> Karthik
> >>
> >>
> >> On Tue, Apr 21, 2009 at 7:31 PM, Frank Shearar 
> <[email-masked]> wrote:
> >>
> >>
> >> friend friend wrote:
> >>   
> >>     
> >>> Dear Friends,
> >>>         In SDP, media (m line) is mandatory? if so, if 
> the UAC doesnt support video, audio, can the UAC send SDP 
> like m: 0(zero)?
> >>>
> >>> Please clarify.
> >>>
> >>>     
> >>>       
> >> The m header is not mandatory. RFC 4566 section 5 says
> >>
> >>   An SDP session description consists of a session-level section
> >>   followed by zero or more media-level sections.
> >>
> >> If the UAC supports no kinds of media it'll send no media-level 
> >> sections. Not very _useful_, since the UAS must respond 
> with the same 
> >> number of media-level sections!
> >>
> >> frank
> >>     
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors
>

---

From: Prince A P <[email-masked]>
Date: Tue, 28 Apr 2009 11:07:00 +0530

Hi,

Any idea about currently how many live deployments are happening for
Sigcomp?

Does the Importance of it really going down with high bandwidth
availability?

rgds,
Prince